# bytecompile with Python 3
%global __python %{__python3}
%global provider org.gnome.Lollypop


Name:           lollypop
Version:        1.4.35
Release:        %mkrel 1
Summary:        Music player for GNOME
Group:          Sound
License:        GPLv3+
URL:            https://gitlab.gnome.org/World/lollypop
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  gobject-introspection-devel
BuildRequires:  python3-devel
BuildRequires:  python-gobject3-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  appstream-glib
BuildRequires:  lib64soup-devel
BuildRequires:  lib64tiff-devel

Requires:       lib64gdk_pixbuf2.0_0
Requires:       gstreamer1.0-plugins-base
Requires:       gobject-introspection
Requires:       gtk3
Requires:       kid3-common
Requires:       libnotify
Requires:       python3-gobject3
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       pango
Requires:       totem-pl-parser
Requires:       python3
Requires:       python3-pylast
Requires:       python3-pillow
Requires:       python3-beautifulsoup4
Requires:       python3-wikipedia
Requires:       lib64totem-plparser18
Requires:      lib64handy1_0
Requires:      libhandy-glade
Requires:      libhandy-common

%description
Lollypop is a new GNOME music playing application.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome
chmod +x %{buildroot}%{_bindir}/*%{name}*

desktop-file-install --vendor="" \
 --remove-category='AudioVideo' \
 --remove-category='Player' \
 --remove-category='Audio' \
 --add-category='X-MandrivaLinux-Multimedia-Sound' \
 %{buildroot}%{_datadir}/applications/%{provider}.desktop

appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml

%post
%update_menus

%postun
%clean_menus


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.gresource
%{_libexecdir}/%{name}-sp
%{_datadir}/metainfo/%{provider}.*.xml
%{_datadir}/applications/%{provider}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons
%{_datadir}/dbus-1/services/%{provider}.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/%{provider}.SearchProvider.ini
%{python3_sitelib}/%{name}
%{_mandir}

%changelog
* Fri Aug 26 2022 TerryN <terryn94 at gmail.com>  1.4.35-1pclos2022
- update and rebuild for python 3.10

* Sat Apr 10 2021 tex - 1.4.19-1pclos2021
- new version

* Fri Apr 02 2021 tex - 1.4.18-1pclos2021
- new version

* Fri Mar 05 2021 tex - 1.4.17-1pclos2021
- new version

* Wed Mar 03 2021 tex - 1.4.16-1pclos2021
- new version

* Sun Dec 20 2020 tex - 1.4.7-1pclos2021
- new version

* Sun Dec 20 2020 tex - 1.4.6-1pclos2021
- new version

* Sat Dec 05 2020 tex - 1.4.5-2pclos2020
- add req libhandy pkgs


* Fri Nov 20 2020 tex - 1.4.5-1pclos2020
- new version

* Thu Sep 10 2020 tex - 1.3.6-1pclos2020
- new version

* Sat Aug 15 2020 tex - 1.3.5-1pclos2020
- new version

* Tue Aug 04 2020 tex - 1.3.3-1pclos2020
- new version

* Thu Jun 25 2020 tex - 1.3.2-1pclos2020
- new version

* Tue Jun 02 2020 tex - 1.3.0-1pclos2020
- new version

* Tue Apr 28 2020 tex - 1.2.35-1pclos2020
- new version

* Wed Apr 08 2020 tex - 1.2.34-1pclos2020
- new version

* Thu Feb 27 2020 tex - 1.2.23-1pclos2020
- new version

* Fri Feb 21 2020 tex - 1.2.22-1pclos2020
- new version

* Tue Nov 19 2019 tex - 1.2.13-1pclos2019
- new version

* Fri Oct 25 2019 tex - 1.2.1-1pclos2019
- new version

* Thu Sep 19 2019 tex - 1.1.4.16-1pclos2019
- new version

* Mon Aug 05 2019 tex - 1.1.4.9-1pclos2019
- new version

* Fri Aug 02 2019 tex - 1.1.4.8-1pclos2019
- new version

* Mon Jul 29 2019 tex - 1.1.4.7-1pclos2019
- new version

* Tue Jul 09 2019 tex - 1.1.4.2-1pclos2019
- new version

* Sun Jun 30 2019 tex - 1.1.3.1-1pclos2019
- new version

* Tue Jun 25 2019 tex - 1.1.1-1pclos2019
- new version

* Fri Jun 21 2019 tex - 1.1.0-1pclos2019
- new version

* Sat Jun 08 2019 tex - 1.0.12-1pclos2019
- new version

* Fri May 17 2019 tex - 1.0.10-1pclos2019
- new version

* Wed Apr 17 2019 tex - 1.0.6-1pclos2019
- new version

* Sat Mar 16 2019 tex 0.9.925-1pclos2019
- new

* Fri Mar 01 2019 tex 0.9.923-1pclos2019
- new

* Sun Feb 03 2019 tex 0.9.912-2pclos2019
- add dep lib64totem-plparser18

* Sat Feb 02 2019 tex 0.9.912-1pclos2019
- create
